const plugin = require('tailwindcss/plugin')

export default {
	darkMode: 'selector',
	content: [
		'./src/xtr_report_cariad/template/**/*.{html,svg,js}',
		'./src/xtr_report_cariad/__init__.py'
	],
	theme: {
		extend: {
			screens: {
				xs: '400px'
			},
			fontFamily: {
				sans: ['Inter', 'ui-sans-serif', 'system-ui'],
				mono: ['JetBrains Mono', 'ui-monospace']
			},
			fontSize: {
				'2xs': '10px'
			},
			colors: {
				client: {
					50: '#ecf0ff',
					100: '#dce3ff',
					200: '#bfcaff',
					300: '#99a7ff',
					400: '#7179ff',
					500: '#5550ff',
					600: '#4530fb',
					700: '#4631e0',
					800: '#3020b3',
					900: '#2b238c',
					950: '#1b1452'
				}
			},
			boxShadow: {
				outer:
					'rgba(50, 50, 105, 0.15) 0px 2px 5px 0px, rgba(0, 0, 0, 0.05) 0px 1px 1px 0px',
				'outer-dark':
					'rgba(10, 10, 10, 0.5) 0px 2px 5px 0px, rgba(10, 10, 10, 0.1) 0px 2px 5px 0px'
			},
			keyframes: {
				wiggle: {
				  '0%, 100%': { transform: 'rotate(-1deg)' },
				  '50%': { transform: 'rotate(1deg)' },
				},
				'slide-me-right': {
					'0%, 100%': { transform: 'translateX(0px)'},
					'50%': { transform: 'translateX(3px)'},
				},
				'slide-me-left': {
					'0%, 100%': { transform: 'translateX(0px)'},
					'50%': { transform: 'translateX(-3px)'},
				}
			},
			animation: {
				wiggle: 'wiggle 300ms ease-in-out infinite',
				'slide-right': 'slide-me-right 500ms ease-in-out infinite',
				'slide-left': 'slide-me-left 500ms ease-in-out infinite'
			},
			transitionProperty: {
				'height': 'grid-template-rows',
			}
		}
	},
	plugins: [
		require('@tailwindcss/forms'),
		plugin(function({ matchVariant }) {
			matchVariant(
			  'view',
			  (value) => {
				return `body[logx-tree-view-mode="${value}"] &`;
			  },
			  {
				values: {
					'overview': 'overview',
					'detailed': 'detailed',
				}
			  }
			);
		  })
	]
};
